/**
 ** KSplash2k for KSplash/ML
 ** (An Example ThemeEngine)
 ** Copyright (c) 2002, Flaming Sword Productions
 ** All Rights Reserved
 **
 ** $Id: RotWidget.h,v 1.3 2002/05/20 16:48:20 brian Exp $
 **/
#ifndef		__ROTWIDGET_H__
#define		__ROTWIDGET_H__
#include	<qlabel.h>
#include	<qtimer.h>
#include	<qwidget.h>
#include	<kpixmap.h>
#include	<kdialogbase.h>

/**
 ** class RotWidget: Display a rotating-gradient widget, reminiscent of
 ** Windows 2000.
 **/
class		RotWidget: public QWidget {
Q_OBJECT
public:
		RotWidget( QWidget *, const QColor&, const QColor&, int );
		~RotWidget();

private slots:
	void		stepEvent();

protected:
	void		_preparePixmap( int );
	void		paintEvent( QPaintEvent * );
	void		resizeEvent( QResizeEvent * );

	QColor		color1, color2;
	int		step, speed;
	QTimer		*stepTimer;

	QList<KPixmap>	stepPixmap;
};

#endif
